<?php

// Live preview settings.
global $base_path;
$settings = array(
  'fancy' => $base_path . drupal_get_path('theme', 'bilderblock') . '/color/fancy.png',
  'exposed' => $base_path . drupal_get_path('theme', 'bilderblock') . '/color/fancy_exposed.png',
);
if ($toggle_logo = theme_get_setting('toggle_logo', 'bilderblock')) {
  // Determine current logo path.
  require_once drupal_get_path('theme', 'bilderblock') . '/template.php';
  $logo = bilderblock::logoURL();
  $settings['logo'] = array(
    'src' => $logo,
  );
  foreach (array('toggle_name', 'toggle_slogan') as $item) {
    $settings += array(
      $item => theme_get_setting($item, 'bilderblock') == 1,
    );
  }
}

drupal_add_js(array('color' => $settings), 'setting');

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'global_background_color' => t('Global background'),
    'global_text_color' => t('Global text'),
    'content_background_color' => t('Content background'),
    'content_text_color' => t('Content text and links'),
    'content_link_visited' => t('Content link (visited)'),
    'content_input_background_color' => t('Form elements and comments background'),
    'content_input_border_color' => t('Form elements border'),
    'form_focus_border' => t('Form elements border (focused)'),
    'form_focus_background' => t('Form elements background (focused'),
    'film_strip_background' => t('Film strip background'),
    'film_strip_text' => t('Film strip text'),
    'film_strip_link_visited' => t('Film strip visited link'),
    'post_image_border' => t('Exposed image border'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Contact sheets (default)'),
      'colors' => array(
        'global_background_color' => '#1d1b16',
        'global_text_color' => '#fefefe',
        'content_background_color' => '#ccccbb',
        'content_text_color' => '#555544',
        'content_link_visited' => '#999988',
        'content_input_background_color' => '#ddddcc',
        'content_input_border_color' => '#333322',
        'form_focus_border' => '#fede00',
        'form_focus_background' => '#eeeedd',
        'film_strip_background' => '#000000',
        'film_strip_text' => '#7eb937',
        'film_strip_link_visited' => '#4e7322',
        'post_image_border' => '#ffffff',
      ),
    ),
  ),

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => array(
    'css/colors.css',
  ),

  // Files to copy.
  'copy' => array(
    'logo.png',
  ),

  // Gradient definitions.
  'gradients' => array(),

  // Color areas to fill (x, y, width, height).
  'fill' => array(),

  // Coordinates of all the theme slices (x, y, width, height)
  // with their filename as used in the stylesheet.
  'slices' => array(),

  // Reference color used for blending. Matches the base.png's colors.
  'blend_target' => '#ffffff',

  // Preview files.
  'preview_css' => 'color/preview.css',
  'preview_js' => 'color/preview.js',
  'preview_html' => 'color/preview.html',

  // Base file for image generation.
  'base_image' => 'color/base.png',
);
