/**
 * @file
 * Additional color functionality for bilderblock theme.
 */

(function ($) {
  Drupal.color = {
    callback: function(context, settings, form, farb, height, width) {
      // Apply logo settings.
      if (settings.color.logo) {
        $('#preview-menu-logo img', context).attr('src', settings.color.logo.src);
      }
      else {
        $('#preview-logo', context).hide();
      }
      // Set further demonstration image paths.
      $('#preview .teaser-slide img', context).attr('src', settings.color.fancy);
      $('#preview-single-post-image img', context).attr('src', settings.color.exposed);
      $('#preview-menu-title .name', context).toggle(settings.color['toggle_name']);
      $('#preview-menu-title .slogan', context).toggle(settings.color['toggle_slogan']);

      // Apply colors.
      $.each([{
        s: '#preview, div#preview-logo', // selector
        p: 'backgroundColor', // css property
        f: 'global_background_color' // palette form sub-key
      }, {
        s: '#preview', // selector
        p: 'color', // css property
        f: 'global_text_color' // palette form sub-key
      }, {
        s: 'div#preview .block:not(.bilderblock-has-teasers), div#preview a.menuswitch, div#preview-menu-open, div#preview-logo-title, div#preview a, div#preview a:link, div#preview a:hover, div#preview .block a:link, div#preview .block a:active, div#preview .block a:hover, div#preview select, div#preview input[type=text], div#preview input[type=password], div#preview input[type=submit], div#preview input.form-submit, div#preview textarea, div#preview-menu-header',
        p: 'color', // css property
        f: 'content_text_color' // palette form sub-key
      }, {
        s: 'div#preview .block:not(.bilderblock-has-teasers), div#preview-menu, div#preview-menu-open, div#preview-menu-closed',
        p: 'backgroundColor', // css property
        f: 'content_background_color' // palette form sub-key
      }, {
        s: 'div#preview div.node-teaser, div#preview div.teaser-sidestrip:hover div.teaser-sidestrip-inner',
        p: 'backgroundColor',
        f: 'film_strip_background'
      }, {
        s: 'div#preview div.teaser-sidestrip:hover div.teaser-sidestrip-inner',
        p: 'borderColor',
        f: 'film_strip_text'
      }, {
        s: 'div#preview div.teaser-sidestrip-inner a:link, div#preview div.teaser-sidestrip-inner a:active, div#preview div.teaser-sidestrip-inner a:hover, div#preview div.teaser-sidestrip-inner a:visited, div#preview div.teaser-sidestrip-inner',
        p: 'color',
        f: 'film_strip_text'
      }, {
        s: 'div#preview.bilderblock-fx-tint div.teaser-slide:after, body.bilderblock-fx-tint div.teaser-slide:after',
        p: 'backgroundColor',
        f: 'film_strip_text'
      }, {
        s: 'div#preview-content .block a:visited',
        p: 'color',
        f: 'content_link_visited'
      }, {
        s: 'div#preview select, div#preview input[type=text], div#preview input[type=password], div#preview input[type=submit], div#preview input.form-submit, div#preview textarea',
        p: 'backgroundColor',
        f: 'content_input_background_color'
      }, {
        s: 'div#preview select, div#preview input[type=text], div#preview input[type=password], div#preview input[type=submit], div#preview input.form-submit, div#preview textarea',
        p: 'borderColor',
        f: 'content_input_border_color'
      }, {
        s: 'div#preview select:focus, div#preview input[type=text]:focus, div#preview input[type=password]:focus, div#preview textarea:focus',
        p: 'borderColor',
        f: 'form_focus_border'
      }, {
        s: 'div#preview select:focus, div#preview input[type=text]:focus, div#preview input[type=password]:focus, div#preview textarea:focus',
        p: 'backgroundColor',
        f: 'form_focus_background'
      }, {
        s: 'div#preview-single-post-image img',
        p: 'borderColor',
        f: 'post_image_border'
      }], function(id, el) {
        $(el.s, form).css(el.p, $(el.f.replace(/(.*)/, '#palette input[name="palette[$1]"]'), form).val());
      });
    },
    /**
     * Passes a theme settings element after it has been changed.
     */
    preview: function(el) {
      // Toggle fx classes
      //
    }
  };
})(jQuery);
